# 78. Zapytanie: Znajdź „Fields” po „externalKey”

Znajdź "Pola" według zewnętrznegoKlucza strony trzeciej wprowadzonego podczas procedury rejestracji "Pola".

### <mark style="color:pomarańczowy;">OPCJA 1</mark> używając zapytania getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie FindFieldsByExternalKeyOption1 {
  getFields(filtr: {
    fieldExternalKey: "<identyfikator_strony_trzeciej>"
  }) {
    łącznaLiczba
    fields {
      uuid
      nazwa
      kluczZewnętrzny
    }
  }
}
```

{% endcode %}

### <mark style="color:pomarańczowy;">OPCJA 2</mark> używając zapytania getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<identyfikator_strony_trzeciej>"]) {
      uuid
      nazwa
      kluczZewnętrzny
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/78.-zapytanie-znajdz-fields-po-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
